<?
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);
include_once("include/zag.php");
include_once("include/ini.php");
if (md5($pas)==$password && $log==$login && $log!=="" && md5($pas)!=="") {

$u = explode(".",$login);

if(@file("MySql/base123/moders/$log.dat")){

if(empty($prichina)){

$name=htmlspecialchars(stripslashes($name));

echo "<form action=\"bann.php?log=$log&pas=$pas&ip=$ip&name=$name\" method=\"post\"><small>Причина:</small><br/><input name=\"prichina\" maxlength=\"999\"/><br/>";
echo '<input type="submit" value="Банить"></form>';}else{


$ip=explode(".",$ip);

$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();

$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);

$text="$ipn||$time||$name||$prichina||Сообщение почты||";

$fp=fopen("MySql/base123/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"<small><a href=\"chat.php?log=$log&pas=$pas\">$name забанен на 24 часа.</a></small><br/>";
echo"<small>- - -<br/>� <a href=\"../main.php?log=$log&pas=$pas\">Моё меню</a></small></p></card></wml>";
exit;}

}
}else{echo"<small>Пароль или логин неверен!</small>";}


include_once"include/down.php";

?>

